%define _disable_ld_no_undefined 1

%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Modular Calendar Access Library
Name:		mcal
Version:	0.7
Release:	%mkrel 24
Group:		System/Libraries
License:	GPLv2+
URL:		http://mcal.chek.com/
Source0:	lib%{name}-%{version}.tar.bz2
Source1:	mcaldrivers-0.9.tar.bz2
# project seems dead upstream ( no commit since 
# 10 years )
# fix on Makefile to make it support OPTFLAG
#TODO redo it cleanly ( ie, without patching Makefile directly )
Patch0:		libmcal-make.patch
# change the path for calendar from /var/calendar to /var/lib/calendar
Patch2:		mcal-mstore_calendar_path.patch
# fix for gcc 4.0 build
Patch3:		libmcal-0.7-gcc-4.0-fix.patch
# fix build with latest flex 2.6.1
Patch4:		libmcal-0.7-flexfix.patch
# enable running unit tests
Patch6:		libmcal-0.7-mga-enable-tests.patch
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	pam-devel

%description
libmcal is a C library for accessing calendars. It's written to be very
modular, with pluggable drivers.

%package -n	%{libname}
Summary:        Modular Calendar Access Library
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with mcal.

%package -n	%{develname}
Summary:	MCAL header files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release} 
Provides:	%{name}-devel = %{version}-%{release}   
Obsoletes:	%{mklibname mcal -d 0}

%description -n	%{develname}
Header files for MCAL-based program development.

%prep

%setup -q -n lib%{name} -a1
mv -f mcal-drivers/* .
rm -rf mcal-drivers
%patch0 -p1 -b .make
%patch2 -p0 -b .calpath
%patch3 -p1 -b .gcc4_0
%patch4 -p1 -b .flex
%patch6 -p0 -b .tests

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" Makefile*

%build
export OPTFLAGS="%{optflags} -fPIC -D_REENTRANT"

%make -C icap
%make -C mstore

%configure2_5x \
    --with-icap \
    --with-mstore

%make

%install
%make_install

mv -f mstore/Changelog Changelog.mstore
mv -f mstore/README README.mstore

install -d -m 1777 %{buildroot}/var/lib/calendar
mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/mpasswd

rm -f %{buildroot}%{_libdir}/*.a

%check
%make check

%files -n %{libname}
%doc CHANGELOG FAQ-MCAL FEATURE-IMPLEMENTATION HOW-TO-MCAL *.mstore
%config(noreplace) %{_sysconfdir}/mpasswd
%{_libdir}/lib*.so.%{major}{,.*}
%attr(1777,root,root) /var/lib/calendar

%files -n %{develname}
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/lib*.la


%changelog
* Thu Apr 14 2016 daviddavid <daviddavid> 0.7-24.mga6
+ Revision: 1001265
- fix build with latest flex 2.6.1
- add major guard

* Fri Feb 12 2016 umeabot <umeabot> 0.7-23.mga6
+ Revision: 956154
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7-22.mga5
+ Revision: 742780
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7-21.mga5
+ Revision: 727224
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7-20.mga5
+ Revision: 682313
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.7-19.mga4
+ Revision: 529601
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 danf <danf> 0.7-18.mga4
+ Revision: 452639
- added yyleng-type.patch to fix data type that broke compilation
- added enable-tests.patch to run unit tests at build time
- removed static library from -devel since libtool doesn't build it any more
  by default
- removed some obsolete macros from the spec file

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 misc <misc> 0.7-16.mga1
+ Revision: 35806
- comment on the patches
- remove old cruft

  + ennael <ennael>
    - imported package mcal


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7-16mdv2011.0
+ Revision: 606633
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7-15mdv2010.1
+ Revision: 519039
- rebuild

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.7-14mdv2010.0
+ Revision: 426080
- rebuild

* Sun Dec 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7-13mdv2009.1
+ Revision: 317083
- use %%ldflags, except --Wl,--no-undefined

* Fri Jul 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7-12mdv2009.0
+ Revision: 231647
- fix build
- fix license
- fix devel package naming
- misc spec file fixes

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix no-buildroot-tag

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.7-10mdv2008.1
+ Revision: 153048
- rebuild
- kill re-definition of %%buildroot on Pixel's request


* Wed Mar 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7-8mdv2007.1
+ Revision: 134575
- make it build on x86_64
- fix deps
- new P0 (PLD)
- added P4 (gnusolaris)
- bunzip patches
- misc spec file fixes
- Import mcal

* Wed Jan 11 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-5mdk
- add BuildRequires: libtool

* Sun Aug 21 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.7-4mdk
- patch3: fix build with gcc 4.0

